function plot_profiles(filename)

if nargin<1 || isempty(filename)
    [file,path]=uigetfile('*.mat','Select mat file to plot');
    if isequal(path,0) && isequal(file,0)
        errordlg('No File selected, Terminating Function')
        return;
    end
    filename=fullfile(path,file);
end
if exist(filename)~=2
    errordlg([filename,' :file not found'])
    return
end

load(filename)
if exist('profiles')==0
    errordlg('file does not contain proper variables')
    return
end
for i=1:5
    try
        close(i)
    end
end
Length_profiles=length(profiles);

for i=1:Length_profiles
    %     if i==2
    %         continue
    %     end
    figure(1)
    plot(profiles{i}(:,1),'Color',colors(i/Length_profiles))
    hold on
    figure(2)
    plot(profiles{i}(:,2),'Color',colors(i/Length_profiles))
    hold on
    figure(3)
    plot(profiles{i}(:,3),'Color',colors(i/Length_profiles))
    hold on
    figure(4)
    plot(profiles{i}(:,4),'Color',colors(i/Length_profiles))
    hold on
    if isunix
        labels{i}=profiles_name{i}(find(profiles_name{i}=='/',1,'last')+1:end-4);%problem with / for pcs
    else
        labels{i}=profiles_name{i}(find(profiles_name{i}=='\',1,'last')+1:end-4);%problem with / for pcs
    end
end
figure(1)
title('Filter 4')
figure(2)
title('Filter 1')
figure(3)
title('Filter 2')
figure(4)
title('Filter 3')

for i=1:4
    %    slash=find(profiles_name{i}=='/',1,'Last');
    %    labels{i}=profiles_name{i}(slash+1:end);
    figure(i)
    legend(labels)
    xlabel('Nucleotides')
    ylabel('Intensity')
end

figure(5)
L={};
for i=1:Length_profiles
    if length(profiles{1}(:,1))~=length(profiles{i}(:,1))
        'profiles different sizes, working on this'
        continue;
    end
    diff=profiles{1}(:,1)-profiles{i}(:,1);
    plot(diff,'Color',colors(i/(Length_profiles)))
    hold on
    L{end+1}=labels{i};
end
xlabel('Nucleotides')
ylabel('Difference in Intensity')
legend(L)
title('Differences in the ladders')
end

function f=colors(i)
%color function for getting the randow

if i<.25
    f = [1,i/.25,0];
elseif i<.5
    i = i-.25;
    f = [1-i/.25,1,0];
elseif i<.75
    i = i-.5;
    f = [0,1,i/.25];
else
    i=i-.75;
    f = [0,1-i/.25,1];
end;
end
