function saveplot(figurenumber,figurename,ext)
%This function allows you to set a figure to the specific paper position
%shown below in the square brackets and saves the file as an esp file as
%either a give figurename (2nd input variable) or as "figure (specific
%number given, ie. 12)"
%Kate Simmons 091108

%Below is the code that allows one to not specify a figurename and saves it
%as"figure (specific figure number)
if nargin<2 || isempty(figurename)
figurename=['figure',int2str(figurenumber),'.pdf'];
end

if nargin<3 || isempty(ext)
    [pathstr, name, ext, versn] = fileparts(figurename);
    if isempty(ext)
         ext='pdf';
    else 
    ext=ext(2:end);
    end
end
    
   figure(figurenumber); 
%Below is the code that allows the figure to be saved as the specific paper
%position and saves the figure as an esp file 
set(figurenumber,'PaperPosition',[0.25,2.5,5,3])
switch lower(ext)
    case {'pdf'}
        print('-dpdf',figurename)
    case {'eps'}
        print('-depsc',figurename)
    case {'bmp'}
        print('-dbmp256', figurename)
    case {'jpeg'}
        print('-djpeg', figurename)
    case {'png'}
        print('-dpng', figurename)
    case {'tiff'}
        print('-dtiff', figurename)
        
end